> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# List Event Enrichment associations

`GET https://api.pagerduty.com/enrichment/event_enrichments/{id}/associations`

Event Enrichments allow you to automatically add contextual data to events as they're ingested, so that relevant information is available throughout the event, alert, and incident lifecycle. By leveraging the Contextual Data Platform (CDP), you can define rules that extract values from events or query enrichment schemas to populate event fields.

Associating an Event Orchestration or Service with an Event Enrichment allows for the enrichment to be evaluated when events are ingested for that Event Orchestration or Service

<!-- theme: warning -->

> ### Early Access
> This API is in Early Access and may change at any time. Contact your PagerDuty account team to request access.

Retrieve all items (Services or Event Orchestrations) associated with an Event Enrichment. If the API key lacks view access to an associated target, that item will not be returned in the results.

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `id` | string | yes | The ID of the Event Enrichment. |

## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `association_type` | string |  | Filter associations by type. Either "service" or "event_orchestration". One of: `service`, `event_orchestration`. |
| `limit` | integer |  | The number of results per page. |
| `offset` | integer |  | Offset to start pagination search results. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Response 200

A list of associations for the Event Enrichment.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `associations` | array of object |  |  |
| `associations[].type` | string |  | The type of the associated resource. One of: `service_reference`, `event_orchestration_reference`. |
| `associations[].id` | string |  | The ID of the associated Service or Event Orchestration. |
| `associations[].summary` | string |  | The name of the associated Service or Event Orchestration. Read-only. |
| `associations[].self` | string (url) |  | The API show URL at which the associated resource is accessible. Read-only. |
| `limit` | integer |  |  |
| `offset` | integer |  |  |
| `more` | boolean |  |  |
| `total` | integer \| null |  |  |

Example: Example Response

```json
{
  "associations": [
    {
      "type": "service_reference",
      "id": "P6NZENL",
      "summary": "Web Database",
      "self": "https://api.pagerduty.com/services/P6NZENL"
    },
    {
      "type": "event_orchestration_reference",
      "id": "962dcc99-d338-4fd7-8454-653b2480841d",
      "summary": "NOC Central Ingestion",
      "self": "https://api.pagerduty.com/event_orchestrations/962dcc99-d338-4fd7-8454-653b2480841d"
    }
  ],
  "limit": 50,
  "offset": 0,
  "more": false,
  "total": 2
}
```

## Response 401

Caller did not supply credentials or did not provide the correct credentials.
If you are using an API key, it may be invalid or your Authorization header may be malformed.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 404

The requested resource was not found.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 429

Too many requests have been made, the rate limit has been reached.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 500

Internal Server Error the PagerDuty server experienced an error.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
